## edu.msu.cme.rdp.classifier.train
Class ParsedRawSequence

    java.lang.Object
      edu.msu.cme.rdp.classifier.train.ParsedRawSequence

    public class ParsedRawSequence

extends java.lang.Object

A ParsedRawSequence holds the data for a raw sequence.

Field Summary
`(package private) java.util.List` `ancestors`
`(package private) java.lang.String` `name`
`(package private) java.lang.String` `sequence`

Constructor Summary
`ParsedRawSequence(java.lang.String n, java.util.List al, java.lang.String seq)` Creates new ParsedRawSequence.

Method Summary
`java.util.List` `getAncestors()` Returns the list of the ancestor taxa, with the highest ranked taxon first.
`java.lang.String` `getName()` Returns the name of the sequence.
`java.lang.String` `getSequence()` Returns the sequence string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### ancestors

    java.util.List ancestors

### sequence

    java.lang.String sequence

Constructor Detail

### ParsedRawSequence

    public ParsedRawSequence(java.lang.String n,
                             java.util.List al,
                             java.lang.String seq)

  Creates new ParsedRawSequence.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the sequence.

### getSequence

    public java.lang.String getSequence()

  Returns the sequence string.

### getAncestors

    public java.util.List getAncestors()

  Returns the list of the ancestor taxa, with the highest ranked taxon first.